/*******************************************************************************
 * Copyright (c) 2014, Juniper Networks, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vishal Gupta (Juniper Networks) - initial implementation
 *******************************************************************************/
package org.eclipse.custom.callhierarchy.sourceview.editor;

import org.eclipse.cdt.internal.ui.editor.CEditor;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorSite;

/**
 * This editor is not supposed to be used by client
 * And it's not to be used for editing the C Files
 * The purpose of this editor is to view the C source files
 * 
 * @author vishalgupta
 *
 */
@SuppressWarnings("restriction")
public class CustomCEditor extends CEditor{
	
	@Override
	public void createPartControl(Composite parent) {
		super.createPartControl(parent);
	}
	
	public void init(IEditorSite site, IEditorInput input) {
        setSite(site);
        setInput(input);
     }
	
	@Override
	public boolean isEditable() {
		return false;
	}

	@Override
	public boolean isEditorInputModifiable() {
	    return false;
	}

	@Override
	public boolean isEditorInputReadOnly() {
	    return true;
	}

	@Override
	public boolean isDirty() {
	    return false;
	}
	
	@Override
	public boolean isSaveAsAllowed() {
		return false;
	}
	
	@Override
	public boolean isSaveOnCloseNeeded() {
		return false;
	}
}
